<?php

namespace MMO\HideIpSuperAdmin;

use MMO\HideIpSuperAdmin\Install\InstallerHelper;
use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;

class Setup extends AbstractSetup
{
    use StepRunnerInstallTrait;
    use StepRunnerUpgradeTrait;
    use StepRunnerUninstallTrait;

    use InstallerHelper;

    public function upgrade2010070Step1()
    {
        $this->renameOption('mmohisa_hide_ip', 'mhisaHideIp');
        $this->renameOption('mmohisa_superadmin_names', 'mhisaSuperAdminNames');
    }
}